package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 套餐项目对象 bus_combo_vouchers
 *
 * @author ruoyi
 * @date 2022-09-21
 */
public class BusComboVouchers extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Integer id;

    /** 券号 */
    @Excel(name = "券号")
    private String code;

    private BusVouchers busVouchers;
    /** 套餐id */
    @Excel(name = "套餐id")
    private Integer comboId;

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setComboId(Integer comboId)
    {
        this.comboId = comboId;
    }

    public Integer getComboId()
    {
        return comboId;
    }

    public BusVouchers getBusVouchers() {
        return busVouchers;
    }

    public void setBusVouchers(BusVouchers busVouchers) {
        this.busVouchers = busVouchers;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("comboId", getComboId())
            .toString();
    }
}
