package com.ruoyi.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 核销记录对象 bus_vouchers_records
 *
 * @author ruoyi
 * @date 2022-09-20
 */
public class BusVouchersRecords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Integer id;

    /** 券号 */
    @Excel(name = "券号")
    private String code;

    @Excel(name = "类型 0 赠送 1 套餐")
    private String projectType;

    @Excel(name = "套餐id")
    private String comboId;

    private BusVouchers busVouchers;

    /** 用户id */
    @Excel(name = "用户id")
    private String userId;

    /** 核销时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "核销时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date consumeTime;

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setUserId(String userId)
    {
        this.userId = userId;
    }

    public String getUserId()
    {
        return userId;
    }
    public void setConsumeTime(Date consumeTime)
    {
        this.consumeTime = consumeTime;
    }

    public Date getConsumeTime()
    {
        return consumeTime;
    }

    public BusVouchers getBusVouchers() {
        return busVouchers;
    }

    public void setBusVouchers(BusVouchers busVouchers) {
        this.busVouchers = busVouchers;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getComboId() {
        return comboId;
    }

    public void setComboId(String comboId) {
        this.comboId = comboId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("userId", getUserId())
            .append("consumeTime", getConsumeTime())
            .toString();
    }
}
