package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 套餐用户对象 bus_combo_user
 *
 * @author ruoyi
 * @date 2022-09-22
 */
public class BusComboUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Integer id;

    /** 套餐id */
    @Excel(name = "套餐id")
    private Integer comboId;

    private BusCombo busCombo;
    private List<BusVouchersUser> busVouchersUsers;

    /** 用户id */
    @Excel(name = "用户id")
    private Integer userId;

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }
    public void setComboId(Integer comboId)
    {
        this.comboId = comboId;
    }

    public Integer getComboId()
    {
        return comboId;
    }
    public void setUserId(Integer userId)
    {
        this.userId = userId;
    }

    public Integer getUserId()
    {
        return userId;
    }

    public BusCombo getBusCombo() {
        return busCombo;
    }

    public void setBusCombo(BusCombo busCombo) {
        this.busCombo = busCombo;
    }

    public List<BusVouchersUser> getBusVouchersUsers() {
        return busVouchersUsers;
    }

    public void setBusVouchersUsers(List<BusVouchersUser> busVouchersUsers) {
        this.busVouchersUsers = busVouchersUsers;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("comboId", getComboId())
            .append("userId", getUserId())
            .toString();
    }
}
