import request from '@/utils/request'

// 查询消费券用户关系列表
export function listBusVouchersUser(query) {
  return request({
    url: '/business/busVouchersUser/list',
    method: 'get',
    params: query
  })
}

// 查询消费券用户关系详细
export function getBusVouchersUser(id) {
  return request({
    url: '/business/busVouchersUser/' + id,
    method: 'get'
  })
}

// 新增消费券用户关系
export function addBusVouchersUser(data) {
  return request({
    url: '/business/busVouchersUser',
    method: 'post',
    data: data
  })
}

// 修改消费券用户关系
export function updateBusVouchersUser(data) {
  return request({
    url: '/business/busVouchersUser',
    method: 'put',
    data: data
  })
}

// 删除消费券用户关系
export function delBusVouchersUser(id) {
  return request({
    url: '/business/busVouchersUser/' + id,
    method: 'delete'
  })
}
